Skip to main content
`Ctrl`+`K`

# numpy.show_config

numpy.show_config(mode='stdout')

  Show libraries and system information on which NumPy was built and is being used

  Parameters:
    mode{‘stdout’, ‘dicts’}, optional.

      Indicates how to display the config information. ‘stdout’ prints to console, ‘dicts’ returns a dictionary of the configuration.

  Returns:
    out{dict, None}

      If mode is ‘dicts’, a dict is returned, else None

  See also

  `get_include`

    Returns the directory containing NumPy C header files.

  Notes

  1. The ‘stdout’ mode will give more readable output if `pyyaml` is installed